Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.ee.jmx.jboss
Class QuartzService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.quartz.ee.jmx.jboss.QuartzService

All Implemented Interfaces:
  MBeanRegistration, NotificationBroadcaster, NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean, QuartzServiceMBean

    public class QuartzService

extends org.jboss.system.ServiceMBeanSupport
implements QuartzServiceMBean

JBoss specific MBean implementation for configuring, starting, and binding to JNDI a Quartz Scheduler instance.

Sample MBean deployment descriptor: quartz-service.xml

Note: The Scheduler instance bound to JNDI is not Serializable, so you will get a null reference back if you try to retrieve it from outside the JBoss server in which it was bound. If you have a need for remote access to a Scheduler instance you may want to consider using Quartz's RMI support instead.

Author:
  Andrew Collins
See Also:
  `QuartzServiceMBean`

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`QuartzService()`

Method Summary
`void` | `createService()`
`void` | `destroyService()`
`String` | `getJndiName()`
`String` | `getName()`
`String` | `getProperties()`
`String` | `getPropertiesFile()`
`boolean` | `getStartScheduler()`
`void` | `setJndiName(String jndiName)`
`void` | `setProperties(String properties)`
`void` | `setPropertiesFile(String propertiesFile)`
`void` | `setStartScheduler(boolean startScheduler)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### QuartzService

    public QuartzService()

Method Detail

### setJndiName

    public void setJndiName(String jndiName)
                     throws Exception

  Specified by:
    `setJndiName` in interface `QuartzServiceMBean`
  Throws:
    `Exception`

### getJndiName

    public String getJndiName()

  Specified by:
    `getJndiName` in interface `QuartzServiceMBean`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.system.ServiceMBean`
  Overrides:
    `getName` in class `org.jboss.system.ServiceMBeanSupport`

### setProperties

    public void setProperties(String properties)

  Specified by:
    `setProperties` in interface `QuartzServiceMBean`

### getProperties

    public String getProperties()

### setPropertiesFile

    public void setPropertiesFile(String propertiesFile)

  Specified by:
    `setPropertiesFile` in interface `QuartzServiceMBean`

### getPropertiesFile

    public String getPropertiesFile()

### setStartScheduler

    public void setStartScheduler(boolean startScheduler)

  Specified by:
    `setStartScheduler` in interface `QuartzServiceMBean`

### getStartScheduler

    public boolean getStartScheduler()

### createService

    public void createService()
                       throws Exception

  Overrides:
    `createService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `Exception`

### destroyService

    public void destroyService()
                        throws Exception

  Overrides:
    `destroyService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `Exception`

### startService

    public void startService()
                      throws Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `Exception`

### stopService

    public void stopService()
                     throws Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.